/*
 * "Peko" Visual Novel System
 *
 * All Rights Reserved.
 * Copyright (c) 1999-2003 Tsukuba Bunko.
 *
 * $Id: SelectItem.java,v 1.1.2.1 2003/12/11 10:23:24 ppoi Exp $
 */
package tsukuba_bunko.peko.canvas.select;


/**
 * 選択肢です。
 * @author	$Author: ppoi $
 * @version	$Revision: 1.1.2.1 $
 */
public class SelectItem	{

	/**
	 * 選択肢 ID
	 */
	private String	_id = null;

	/**
	 * 表示するテキスト
	 */
	private String	_text = null;


	/**
	 * <code>SelectItem</code> のインスタンスを作成します。
	 */
	public SelectItem()
	{
		super();
	}


	/**
	 * 選択肢 ID を設定します。
	 * @param	id	選択肢 ID
	 */
	public void setID( String id )
	{
		_id = id;
	}

	/**
	 * 選択肢 ID を取得します。
	 * @return	選択肢 ID
	 */
	public String getID()
	{
		return _id;
	}

	/**
	 * 表示する文字列を設定します。
	 * @param	text	文字列
	 */
	public void setText( String text )
	{
		_text = text;
	}

	/**
	 * 表示する文字列を取得します。
	 * @return	文字列
	 */
	public String getText()
	{
		return _text;
	}
}